Index: src/unittests/ActOnAllUnitTest.cpp
===================================================================
--- src/unittests/ActOnAllUnitTest.cpp	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/ActOnAllUnitTest.cpp	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -15,4 +15,5 @@
 #include "ActOnAllUnitTest.hpp"
 #include "memoryallocator.hpp"
+#include "vector.hpp"
 
 /********************************************** Test classes **************************************/
Index: src/unittests/AnalysisCorrelationToPointUnitTest.cpp
===================================================================
--- src/unittests/AnalysisCorrelationToPointUnitTest.cpp	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/AnalysisCorrelationToPointUnitTest.cpp	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -82,5 +82,5 @@
 
   // init maps
-  pointmap = CorrelationToPoint( (ofstream *)&cout, (MoleculeListClass * const)TestList, (const element * const)hydrogen, (const Vector *)point );
+  pointmap = CorrelationToPoint( (MoleculeListClass * const)TestList, (const element * const)hydrogen, (const Vector *)point );
   binmap = NULL;
 
@@ -115,7 +115,7 @@
   BinPairMap::iterator tester;
   // put pair correlation into bins and check with no range
-  binmap = BinData( (ofstream *)&cout, pointmap, 0.5, 0., 0. );
+  binmap = BinData( pointmap, 0.5, 0., 0. );
   CPPUNIT_ASSERT_EQUAL( (size_t)2, binmap->size() );
-  //OutputCorrelation ( (ofstream *)&cout, binmap );
+  //OutputCorrelation ( binmap );
   tester = binmap->begin();
   CPPUNIT_ASSERT_EQUAL( 1., tester->first );
@@ -128,7 +128,7 @@
   BinPairMap::iterator tester;
   // ... and check with [0., 2.] range
-  binmap = BinData( (ofstream *)&cout, pointmap, 0.5, 0., 2. );
+  binmap = BinData( pointmap, 0.5, 0., 2. );
   CPPUNIT_ASSERT_EQUAL( (size_t)5, binmap->size() );
-  //OutputCorrelation ( (ofstream *)&cout, binmap );
+  //OutputCorrelation ( binmap );
   tester = binmap->begin();
   CPPUNIT_ASSERT_EQUAL( 0., tester->first );
Index: src/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp
===================================================================
--- src/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -85,5 +85,5 @@
   // init tesselation and linked cell
   Surface = new Tesselation;
-  FindNonConvexBorder((ofstream *)&cerr, TestMolecule, Surface, (const LinkedCell *&)LC, 2.5, NULL);
+  FindNonConvexBorder(TestMolecule, Surface, (const LinkedCell *&)LC, 2.5, NULL);
   LC = new LinkedCell(TestMolecule, 5.);
   CPPUNIT_ASSERT_EQUAL( (size_t)4, Surface->PointsOnBoundary.size() );
@@ -137,5 +137,5 @@
 {
   // do the pair correlation
-  surfacemap = CorrelationToSurface( (ofstream *)&cout, TestList, hydrogen, Surface, LC );
+  surfacemap = CorrelationToSurface( TestList, hydrogen, Surface, LC );
   CPPUNIT_ASSERT( surfacemap != NULL );
   CPPUNIT_ASSERT_EQUAL( (size_t)4, surfacemap->size() );
@@ -145,9 +145,9 @@
 {
   BinPairMap::iterator tester;
-  surfacemap = CorrelationToSurface( (ofstream *)&cout, TestList, hydrogen, Surface, LC );
+  surfacemap = CorrelationToSurface( TestList, hydrogen, Surface, LC );
   // put pair correlation into bins and check with no range
-  binmap = BinData( (ofstream *)&cout, surfacemap, 0.5, 0., 0. );
+  binmap = BinData( surfacemap, 0.5, 0., 0. );
   CPPUNIT_ASSERT_EQUAL( (size_t)1, binmap->size() );
-  //OutputCorrelation ( (ofstream *)&cout, binmap );
+  //OutputCorrelation ( binmap );
   tester = binmap->begin();
   CPPUNIT_ASSERT_EQUAL( 0., tester->first );
@@ -159,9 +159,9 @@
 {
   BinPairMap::iterator tester;
-  surfacemap = CorrelationToSurface( (ofstream *)&cout, TestList, hydrogen, Surface, LC );
+  surfacemap = CorrelationToSurface( TestList, hydrogen, Surface, LC );
   // ... and check with [0., 2.] range
-  binmap = BinData( (ofstream *)&cout, surfacemap, 0.5, 0., 2. );
+  binmap = BinData( surfacemap, 0.5, 0., 2. );
   CPPUNIT_ASSERT_EQUAL( (size_t)5, binmap->size() );
-  //OutputCorrelation ( (ofstream *)&cout, binmap );
+  //OutputCorrelation ( binmap );
   tester = binmap->begin();
   CPPUNIT_ASSERT_EQUAL( 0., tester->first );
@@ -176,7 +176,7 @@
 {
   BinPairMap::iterator tester;
-  surfacemap = CorrelationToSurface( (ofstream *)&cout, TestList, carbon, Surface, LC );
+  surfacemap = CorrelationToSurface( TestList, carbon, Surface, LC );
   // put pair correlation into bins and check with no range
-  binmap = BinData( (ofstream *)&cout, surfacemap, 0.5, 0., 0. );
+  binmap = BinData( surfacemap, 0.5, 0., 0. );
   CPPUNIT_ASSERT_EQUAL( (size_t)2, binmap->size() );
   OutputCorrelation ( (ofstream *)&cout, binmap );
@@ -194,7 +194,7 @@
 {
   BinPairMap::iterator tester;
-  surfacemap = CorrelationToSurface( (ofstream *)&cout, TestList, carbon, Surface, LC );
+  surfacemap = CorrelationToSurface( TestList, carbon, Surface, LC );
   // ... and check with [0., 2.] range
-  binmap = BinData( (ofstream *)&cout, surfacemap, 0.5, -2., 4. );
+  binmap = BinData( surfacemap, 0.5, -2., 4. );
   CPPUNIT_ASSERT_EQUAL( (size_t)13, binmap->size() );
   OutputCorrelation ( (ofstream *)&cout, binmap );
Index: src/unittests/AnalysisPairCorrelationUnitTest.cpp
===================================================================
--- src/unittests/AnalysisPairCorrelationUnitTest.cpp	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/AnalysisPairCorrelationUnitTest.cpp	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -78,5 +78,5 @@
 
   // init maps
-  correlationmap = PairCorrelation( (ofstream *)&cout, TestList, hydrogen, hydrogen );
+  correlationmap = PairCorrelation( TestList, hydrogen, hydrogen );
   binmap = NULL;
 
@@ -109,7 +109,7 @@
   BinPairMap::iterator tester;
   // put pair correlation into bins and check with no range
-  binmap = BinData( (ofstream *)&cout, correlationmap, 0.5, 0., 0. );
+  binmap = BinData( correlationmap, 0.5, 0., 0. );
   CPPUNIT_ASSERT_EQUAL( (size_t)1, binmap->size() );
-  //OutputCorrelation ( (ofstream *)&cout, binmap );
+  //OutputCorrelation ( binmap );
   tester = binmap->begin();
   CPPUNIT_ASSERT_EQUAL( sqrt(2.), tester->first );
@@ -121,7 +121,7 @@
   BinPairMap::iterator tester;
   // ... and check with [0., 2.] range
-  binmap = BinData( (ofstream *)&cout, correlationmap, 0.5, 0., 2. );
+  binmap = BinData( correlationmap, 0.5, 0., 2. );
   CPPUNIT_ASSERT_EQUAL( (size_t)5, binmap->size() );
-  //OutputCorrelation ( (ofstream *)&cout, binmap );
+  //OutputCorrelation ( binmap );
   tester = binmap->begin();
   CPPUNIT_ASSERT_EQUAL( 0., tester->first );
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/Makefile.am	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -8,5 +8,6 @@
 noinst_PROGRAMS = $(TESTS)
 
-ActOnAllUnitTest_SOURCES = ../test/ActOnAllTest.hpp ActOnAllUnitTest.cpp ActOnAllUnitTest.hpp memoryallocator.hpp
+ActOnAllUnitTest_SOURCES = ../test/ActOnAllTest.hpp ActOnAllUnitTest.cpp ActOnAllUnitTest.hpp
+ActOnAllUnitTest_LDADD = ../libmolecuilder.a
 
 AnalysisCorrelationToPointUnitTest_SOURCES = analysis_correlation.hpp AnalysisCorrelationToPointUnitTest.cpp AnalysisCorrelationToPointUnitTest.hpp
@@ -28,11 +29,15 @@
 LogUnitTest_LDADD = ../libmolecuilder.a
 
-MemoryAllocatorUnitTest_SOURCES = defs.hpp ../helpers.cpp ../helpers.hpp memoryallocatorunittest.cpp memoryallocatorunittest.hpp memoryallocator.hpp ../memoryusageobserver.cpp memoryusageobserver.hpp ../verbose.cpp verbose.hpp 
+MemoryAllocatorUnitTest_SOURCES = memoryallocatorunittest.cpp memoryallocatorunittest.hpp 
+MemoryAllocatorUnitTest_LDADD = ../libmolecuilder.a
 
-MemoryUsageObserverUnitTest_SOURCES = defs.hpp helpers.hpp memoryusageobserverunittest.cpp memoryusageobserverunittest.hpp memoryusageobserver.hpp verbose.hpp 
+MemoryUsageObserverUnitTest_SOURCES = memoryusageobserverunittest.cpp memoryusageobserverunittest.hpp 
+MemoryUsageObserverUnitTest_LDADD = ../libmolecuilder.a
 
-StackClassUnitTest_SOURCES = memoryallocator.hpp stackclass.hpp stackclassunittest.cpp stackclassunittest.hpp
+StackClassUnitTest_SOURCES = stackclassunittest.cpp stackclassunittest.hpp
+StackClassUnitTest_LDADD = ../libmolecuilder.a
 
-VectorUnitTest_SOURCES = defs.hpp ../helpers.cpp helpers.hpp ../leastsquaremin.cpp leastsquaremin.hpp memoryallocator.hpp memoryusageobserver.hpp ../memoryusageobserver.cpp vectorunittest.cpp vectorunittest.hpp vector.hpp ../vector.cpp verbose.hpp ../verbose.cpp 
+VectorUnitTest_SOURCES = vectorunittest.cpp vectorunittest.hpp 
+VectorUnitTest_LDADD = ../libmolecuilder.a
 
 
Index: src/unittests/bondgraphunittest.cpp
===================================================================
--- src/unittests/bondgraphunittest.cpp	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/bondgraphunittest.cpp	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -104,5 +104,5 @@
 void BondGraphTest::LoadTableTest()
 {
-  CPPUNIT_ASSERT_EQUAL( true , BG->LoadBondLengthTable((ofstream *)&cout, *filename) );
+  CPPUNIT_ASSERT_EQUAL( true , BG->LoadBondLengthTable(*filename) );
   CPPUNIT_ASSERT_EQUAL( 1., BG->GetBondLength(0,0) );
   CPPUNIT_ASSERT_EQUAL( 1.2, BG->GetBondLength(0,1) );
@@ -117,6 +117,6 @@
   atom *Runner = TestMolecule->end->previous;
   CPPUNIT_ASSERT( TestMolecule->end != Walker );
-  CPPUNIT_ASSERT_EQUAL( true , BG->LoadBondLengthTable((ofstream *)&cout, *filename) );
-  CPPUNIT_ASSERT_EQUAL( true , BG->ConstructBondGraph((ofstream *)&cout, TestMolecule) );
+  CPPUNIT_ASSERT_EQUAL( true , BG->LoadBondLengthTable(*filename) );
+  CPPUNIT_ASSERT_EQUAL( true , BG->ConstructBondGraph(TestMolecule) );
   CPPUNIT_ASSERT_EQUAL( true , Walker->IsBondedTo(Runner) );
 };
Index: src/unittests/logunittest.cpp
===================================================================
--- src/unittests/logunittest.cpp	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/logunittest.cpp	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -11,6 +11,4 @@
 
 #include "logunittest.hpp"
-#include "logger.hpp"
-#include "errorLogger.hpp"
 #include "log.hpp"
 #include "defs.hpp"
@@ -37,16 +35,16 @@
 {
   logger::getInstance()->setVerbosity(2);
-  cout << "Verbosity level is set to 2." << endl;
-  log() << Verbose(0) << "Test level 0" << endl;
-  log() << Verbose(1) << "Test level 1" << endl;
-  log() << Verbose(2) << "Test level 2" << endl;
-  log() << Verbose(3) << "Test level 3" << endl;
-  log() << Verbose(4) << "Test level 4" << endl;
+  Log() << Verbose(0) << "Verbosity level is set to 2." << endl;
+  Log() << Verbose(0) << "Test level 0" << endl;
+  Log() << Verbose(1) << "Test level 1" << endl;
+  Log() << Verbose(2) << "Test level 2" << endl;
+  Log() << Verbose(3) << "Test level 3" << endl;
+  Log() << Verbose(4) << "Test level 4" << endl;
 
-  log() << Verbose(0) << "Output a log message." << endl;
-  elog() << Verbose(0) << "Output an error message." << endl;
+  Log() << Verbose(0) << "Output a log message." << endl;
+  eLog() << Verbose(0) << "Output an error message." << endl;
   setVerbosity(3);
-  log() << Verbose(4) << "This should not be printed." << endl;
-  elog() << Verbose(4) << "This should not be printed." << endl;
+  Log() << Verbose(4) << "This should not be printed." << endl;
+  eLog() << Verbose(4) << "This should not be printed." << endl;
 };
 
Index: src/unittests/memoryallocatorunittest.cpp
===================================================================
--- src/unittests/memoryallocatorunittest.cpp	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/memoryallocatorunittest.cpp	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -46,5 +46,5 @@
   char* buffer3 = NULL;
   buffer3 = Malloc<char>(4, "");
-  cout << buffer3 << endl;
+  Log() << Verbose(0) << buffer3 << endl;
   Free(&buffer3);
 
Index: src/unittests/stackclassunittest.cpp
===================================================================
--- src/unittests/stackclassunittest.cpp	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/stackclassunittest.cpp	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -13,4 +13,5 @@
 
 #include "stackclassunittest.hpp"
+#include "log.hpp"
 
 enum { testdimension=3 };
@@ -41,10 +42,10 @@
 {
   int testfield[testdimension] = {0,1,2};
-  //cout << Verbose(1) << "Testing the snake stack..." << endl;
+  //Log() << Verbose(1) << "Testing the snake stack..." << endl;
   for (int i=0;i<testdimension;i++) {
-    //cout << Verbose(2) << "Filling " << i << "th element of stack." << endl;
+    //Log() << Verbose(2) << "Filling " << i << "th element of stack." << endl;
     Stack->Push(&testfield[i]);
   }
-  //cout << endl;
+  //Log() << Verbose(0) << endl;
   //Output(out);
   CPPUNIT_ASSERT_EQUAL(true, Stack->IsFull());
Index: src/unittests/tesselationunittest.cpp
===================================================================
--- src/unittests/tesselationunittest.cpp	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/tesselationunittest.cpp	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -62,5 +62,5 @@
   TesselStruct->LinesOnBoundary.clear();
   TesselStruct->TrianglesOnBoundary.clear();
-  TesselStruct->FindStartingTriangle((ofstream *)&cout, SPHERERADIUS, LinkedList);
+  TesselStruct->FindStartingTriangle(SPHERERADIUS, LinkedList);
   bool flag = false;
 
@@ -68,5 +68,5 @@
   while (baseline != TesselStruct->LinesOnBoundary.end()) {
     if (baseline->second->triangles.size() == 1) {
-      flag = TesselStruct->FindNextSuitableTriangle((ofstream *)&cout, *(baseline->second), *(((baseline->second->triangles.begin()))->second), SPHERERADIUS, LinkedList); //the line is there, so there is a triangle, but only one.
+      flag = TesselStruct->FindNextSuitableTriangle(*(baseline->second), *(((baseline->second->triangles.begin()))->second), SPHERERADIUS, LinkedList); //the line is there, so there is a triangle, but only one.
     }
     baseline++;
@@ -96,20 +96,20 @@
 {
   // true inside points
-  CPPUNIT_ASSERT_EQUAL( true, TesselStruct->IsInnerPoint((ofstream *)&cout, Vector(0.,0.,0.), LinkedList) );
-  CPPUNIT_ASSERT_EQUAL( true, TesselStruct->IsInnerPoint((ofstream *)&cout, Vector(0.5,0.,0.), LinkedList) );
-  CPPUNIT_ASSERT_EQUAL( true, TesselStruct->IsInnerPoint((ofstream *)&cout, Vector(0.,0.5,0.), LinkedList) );
-  CPPUNIT_ASSERT_EQUAL( true, TesselStruct->IsInnerPoint((ofstream *)&cout, Vector(0.,0.,0.5), LinkedList) );
+  CPPUNIT_ASSERT_EQUAL( true, TesselStruct->IsInnerPoint(Vector(0.,0.,0.), LinkedList) );
+  CPPUNIT_ASSERT_EQUAL( true, TesselStruct->IsInnerPoint(Vector(0.5,0.,0.), LinkedList) );
+  CPPUNIT_ASSERT_EQUAL( true, TesselStruct->IsInnerPoint(Vector(0.,0.5,0.), LinkedList) );
+  CPPUNIT_ASSERT_EQUAL( true, TesselStruct->IsInnerPoint(Vector(0.,0.,0.5), LinkedList) );
 
   // corners
   for (LinkedNodes::iterator Runner = Corners.begin(); Runner != Corners.end(); Runner++)
-    CPPUNIT_ASSERT_EQUAL( true, TesselStruct->IsInnerPoint((ofstream *)&cout, (*Runner), LinkedList) );
+    CPPUNIT_ASSERT_EQUAL( true, TesselStruct->IsInnerPoint((*Runner), LinkedList) );
 
   // true outside points
-  CPPUNIT_ASSERT_EQUAL( false, TesselStruct->IsInnerPoint((ofstream *)&cout, Vector(0.,5.,0.), LinkedList) );
-  CPPUNIT_ASSERT_EQUAL( false, TesselStruct->IsInnerPoint((ofstream *)&cout, Vector(0.,0.,5.), LinkedList) );
-  CPPUNIT_ASSERT_EQUAL( false, TesselStruct->IsInnerPoint((ofstream *)&cout, Vector(1.,1.,1.), LinkedList) );
+  CPPUNIT_ASSERT_EQUAL( false, TesselStruct->IsInnerPoint(Vector(0.,5.,0.), LinkedList) );
+  CPPUNIT_ASSERT_EQUAL( false, TesselStruct->IsInnerPoint(Vector(0.,0.,5.), LinkedList) );
+  CPPUNIT_ASSERT_EQUAL( false, TesselStruct->IsInnerPoint(Vector(1.,1.,1.), LinkedList) );
 
   // tricky point, there are three equally close triangles
-  CPPUNIT_ASSERT_EQUAL( false, TesselStruct->IsInnerPoint((ofstream *)&cout, Vector(5.,0.,0.), LinkedList) );
+  CPPUNIT_ASSERT_EQUAL( false, TesselStruct->IsInnerPoint(Vector(5.,0.,0.), LinkedList) );
 
 };
@@ -173,5 +173,5 @@
   for (PointMap::iterator Runner = TesselStruct->PointsOnBoundary.begin(); Runner != TesselStruct->PointsOnBoundary.end(); Runner++) {
     Walker = Runner->second;
-    set<BoundaryTriangleSet*> *triangles = TesselStruct->GetAllTriangles((ofstream *)&cout, Walker);
+    set<BoundaryTriangleSet*> *triangles = TesselStruct->GetAllTriangles(Walker);
     CPPUNIT_ASSERT_EQUAL( (size_t)3, triangles->size() );
     // check that the returned triangle all contain the Walker
Index: src/unittests/vectorunittest.cpp
===================================================================
--- src/unittests/vectorunittest.cpp	(revision 7326b21cef2429a9070eeb36352bb77cf6b12c2c)
+++ src/unittests/vectorunittest.cpp	(revision 7f4bee2eae0dac8e2c4a2601deb21d190a89d1c6)
@@ -186,33 +186,33 @@
 {
   // plane at (0,0,0) normal to (1,0,0) cuts line from (0,0,0) to (2,1,0) at ???
-  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionWithPlane((ofstream *)&cout, &unit, &zero, &zero, &two) );
+  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionWithPlane(&unit, &zero, &zero, &two) );
   CPPUNIT_ASSERT_EQUAL( zero, fixture );
 
   // plane at (2,1,0) normal to (0,1,0) cuts line from (1,0,0) to (0,1,1) at ???
-  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionWithPlane((ofstream *)&cout, &otherunit, &two, &unit, &notunit) );
+  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionWithPlane(&otherunit, &two, &unit, &notunit) );
   CPPUNIT_ASSERT_EQUAL( Vector(0., 1., 1.), fixture );
 
   // four vectors equal to zero
-  CPPUNIT_ASSERT_EQUAL( false, fixture.GetIntersectionOfTwoLinesOnPlane((ofstream *)&cout, &zero, &zero, &zero, &zero, NULL) );
+  CPPUNIT_ASSERT_EQUAL( false, fixture.GetIntersectionOfTwoLinesOnPlane(&zero, &zero, &zero, &zero, NULL) );
   CPPUNIT_ASSERT_EQUAL( zero, fixture );
 
   // four vectors equal to unit
-  CPPUNIT_ASSERT_EQUAL( false, fixture.GetIntersectionOfTwoLinesOnPlane((ofstream *)&cout, &unit, &unit, &unit, &unit, NULL) );
+  CPPUNIT_ASSERT_EQUAL( false, fixture.GetIntersectionOfTwoLinesOnPlane(&unit, &unit, &unit, &unit, NULL) );
   CPPUNIT_ASSERT_EQUAL( zero, fixture );
 
   // two equal lines
-  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionOfTwoLinesOnPlane((ofstream *)&cout, &unit, &two, &unit, &two, NULL) );
+  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionOfTwoLinesOnPlane(&unit, &two, &unit, &two, NULL) );
   CPPUNIT_ASSERT_EQUAL( unit, fixture );
 
   // line from (1,0,0) to (2,1,0) cuts line from (1,0,0) to (0,1,0) at ???
-  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionOfTwoLinesOnPlane((ofstream *)&cout, &unit, &two, &unit, &otherunit, NULL) );
+  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionOfTwoLinesOnPlane(&unit, &two, &unit, &otherunit, NULL) );
   CPPUNIT_ASSERT_EQUAL( unit, fixture );
 
   // line from (1,0,0) to (0,0,0) cuts line from (0,0,0) to (2,1,0) at ???
-  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionOfTwoLinesOnPlane((ofstream *)&cout, &unit, &zero, &zero, &two, NULL) );
+  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionOfTwoLinesOnPlane(&unit, &zero, &zero, &two, NULL) );
   CPPUNIT_ASSERT_EQUAL( zero, fixture );
 
   // line from (1,0,0) to (2,1,0) cuts line from (0,0,0) to (0,1,0) at ???
-  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionOfTwoLinesOnPlane((ofstream *)&cout, &unit, &two, &zero, &otherunit, NULL) );
+  CPPUNIT_ASSERT_EQUAL( true, fixture.GetIntersectionOfTwoLinesOnPlane(&unit, &two, &zero, &otherunit, NULL) );
   CPPUNIT_ASSERT_EQUAL( Vector(0., -1., 0.), fixture );
 };
